json_tokener Struct Reference

`#include <json_tokener.h>`

## Data Fields

char * | str
struct printbuf * | pb
int | max_depth
int | depth
int | is_double
int | st_pos
int | char_offset
enum json_tokener_error | err
unsigned int | ucs_char
unsigned int | high_surrogate
char | quote_char
struct json_tokener_srec * | stack
int | flags

## Detailed Description

Internal state of the json parser. Do not access any fields of this structure directly. Its definition is published due to historical limitations in the json tokener API, and will be changed to be an opaque type in the future.

## Field Documentation

## char_offset

int json_tokener::char_offset

Deprecated
  See json_tokener_get_parse_end() instead.

## depth

int json_tokener::depth

## err

enum json_tokener_error json_tokener::err

Deprecated
  See json_tokener_get_error() instead.

## flags

int json_tokener::flags

## high_surrogate

unsigned int json_tokener::high_surrogate

## is_double

int json_tokener::is_double

## max_depth

int json_tokener::max_depth

## pb

struct printbuf* json_tokener::pb

## quote_char

char json_tokener::quote_char

## st_pos

int json_tokener::st_pos

## stack

struct json_tokener_srec* json_tokener::stack

## str

char* json_tokener::str

Deprecated
  Do not access any of these fields outside of json_tokener.c

## ucs_char

unsigned int json_tokener::ucs_char

The documentation for this struct was generated from the following file:

- json_tokener.h